{
    // See https://go.microsoft.com/fwlink/?LinkId=733558
    // for the documentation about the tasks.json format
    "version": "2.0.0",
    "tasks": [
        {
            "label": "Run",
            "type": "shell",
            "command": "go run .",
            "problemMatcher": [],
            "group": {
                "kind": "build",
                "isDefault": true
            }
        },
        {
            "label": "Build & Run",
            "type": "shell",
            "command": "make clean && make build && ./bin/inkwell-demo",
            "problemMatcher": []
        },
        {
            "label": "Build WASM",
            "type": "shell",
            "command": "make wasm",
            "problemMatcher": []
        },
        {
            "label": "Make build",
            "type": "shell",
            "command": "make build"
        }
    ]
}
